List Messages

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.meetcody.ai/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Cody AI MCP server": {
    "url": "https://developers.meetcody.ai/mcp"
  }
}

Close
GET /messages

Query parameters

  • conversation_id string

    Id of the conversation to filter the list of messages to only that conversation.

  • includes string

    Extra message attributes to include in the response.

    Values are sources or usage.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • data array[object]
    • meta object
      Hide meta attribute Show meta attribute object
      • pagination object
        Hide pagination attributes Show pagination attributes object
        • count integer
        • total integer
        • per_page integer
        • total_pages integer
        • next_page integer | null
        • previous_page integer | null
GET /messages
curl \
 --request GET 'https://getcody.ai/api/v1/messages' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    {}
  ],
  "meta": {
    "pagination": {
      "count": 42,
      "total": 42,
      "per_page": 42,
      "total_pages": 42,
      "next_page": 42,
      "previous_page": 42
    }
  }
}